### Method

# EBackend Cache get_uids

since: 3.26

#### Declaration [src]

    gboolean
    e_cache_get_uids (
      ECache* cache,
      ECacheDeletedFlag deleted_flag,
      GSList** out_uids,
      GSList** out_revisions,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a list of unique object identifiers stored in the `cache`, optionally together with their revisions. The uids are not returned in any particular order, but the position between `out_uids` and `out_revisions` matches the same object.

Both `out_uids` and `out_revisions` contain newly allocated `GSList`, which should be freed with g_slist_free_full (slist, g_free); when no longer needed.

Available since: 3.26

#### Parameters

`deleted_flag`

  Type: `ECacheDeletedFlag`

  One of `ECacheDeletedFlag` enum.

`out_uids`

  Type: A list of `utf8`

  A pointer to `GSList` to store the found uid to.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`out_revisions`

  Type: A list of `utf8`

  A pointer to `GSList` to store the found revisions to, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded. It doesn’t necessarily mean that there was any object stored in the `cache`.